Create a webhook subscription
curl --request POST \
--url https://lumina-api-production-ac85.up.railway.app/api/v1/webhooks \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"url": "https://my-bot.example.com/webhooks/lumina",
"events": "*"
}
'import requests
url = "https://lumina-api-production-ac85.up.railway.app/api/v1/webhooks"
payload = {
"url": "https://my-bot.example.com/webhooks/lumina",
"events": "*"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: 'https://my-bot.example.com/webhooks/lumina', events: '*'})
};
fetch('https://lumina-api-production-ac85.up.railway.app/api/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"id": 123,
"url": "<string>",
"events": [
"<string>"
],
"secret": "<string>",
"warning": "<string>"
}{
"error": "validation_error",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"error": "validation_error",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"error": "validation_error",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"error": "validation_error",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"error": "validation_error",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}Endpoint reference
Create a webhook
Register a URL to receive POST callbacks for the calling wallet’s events. The response includes a 32-byte hex secret used by the sender for HMAC-SHA256 signing — STORE IT NOW, it is not returned again. Receivers verify with X-Lumina-Signature header (hex of HMAC-SHA256(body, secret)).
POST
/
api
/
v1
/
webhooks
Create a webhook subscription
Authorizations
Issued via POST /api/v1/agent/onboard or POST /api/v1/keys/generate. Format: lk_<64-hex>.
Body
application/json
⌘I